Package com.complexible.common.rdf.query

# Class IOBindingSetIterator

java.lang.Object
com.google.common.collect.UnmodifiableIterator<BindingSet>
com.google.common.collect.AbstractIterator<BindingSet>
com.complexible.common.rdf.query.IOBindingSetIterator

All Implemented Interfaces:
  `CloseableIterator<BindingSet>`, `BindingSetIterator`, `com.google.common.collect.PeekingIterator<BindingSet>`, `AutoCloseable`, `Iterator<BindingSet>`

public final class IOBindingSetIterator extends com.google.common.collect.AbstractIterator<BindingSet> implements BindingSetIterator, com.google.common.collect.PeekingIterator<BindingSet>, CloseableIterator<BindingSet>

Helper class to adapter the Sesame push parsing for query results to a pull interface via an Iterator.

Since:
  0.4
Version:
  6.0
Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IOBindingSetIterator(InputStream theStream, QueryResultFormat theFormat)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected BindingSet`
  `computeNext()`
  `List<String>`
  `variables()`
  Return the list of valid keys, eg binding names, returned via this Iteration

  ### Methods inherited from class com.google.common.collect.AbstractIterator

  `endOfData, hasNext, next, peek`

  ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

  `remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, hasNext`

  ### Methods inherited from interface com.google.common.collect.PeekingIterator

  `next, peek, remove`

- ## Constructor Details

  - ### IOBindingSetIterator

    public IOBindingSetIterator(InputStream theStream, QueryResultFormat theFormat)

- ## Method Details

  - ### computeNext

    protected BindingSet computeNext()
    Specified by:
      `computeNext` in class `com.google.common.collect.AbstractIterator<BindingSet>`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `CloseableIterator<BindingSet>`

  - ### variables

    public List<String> variables()
    Return the list of valid keys, eg binding names, returned via this Iteration
    Specified by:
      `variables` in interface `BindingSetIterator`
    Returns:
      the binding names